Subject: Re: Fourth incarnation of the msysGit herald

From: Jan Hudec <[email-masked]>
Date: Sat, 20 Oct 2007 15:33:59 +0200

On Sat, Oct 20, 2007 at 00:25:49 +0100, Johannes Schindelin wrote:
> git gui
> =======
> 
> git gui is a really nice program, and as I often said, I consider it
> more porcelain than a gui, since it uses the git core directly, instead
> of wrapping around porcelain commands.
> 
> The user experience I had with git gui made me think that this should
> be the primary interface Windows users should be confronted with, not
> the command line.
> 
> The major problem we had in msysGit is that git-gui was to be launched
> from the Start Menu, or a QuickLaunch icon.  This is in contrast to
> the shell, where you usually start git gui in a working directory.

It would be nice to install an entry in the explorer menu to run git-gui in
a selected directory. It can be done by just writing something like to the
registry (completely untested -- I just looked it up on the internet):

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Folder\shell\Git Gui]
@="Git Gui"

[HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Folder\shell\Git Gui\command]
@="git --git-dir=%L gui"

(The directory is passed in %L, but git --git-gui="dir" gui seems to work, at
least on Linux. It needs absolute path, but you'll have that.)

-- 
						 Jan 'Bulb' Hudec <[email-masked]>